summaryrefslogtreecommitdiff
path: root/meson_post_install.sh
diff options
context:
space:
mode:
authorzhuyaliang <[email protected]>2023-10-16 16:17:40 +0800
committerraveit65 <[email protected]>2023-10-24 09:20:03 +0200
commit9a8cfd772538539776654401d7a1293595405c90 (patch)
tree88d775507986d0f0f3b6eb41f5fd4a86bfa3d85e /meson_post_install.sh
parent2561c8ad2c0f4168c6021172095fe40aa789deb7 (diff)
downloadmate-power-manager-9a8cfd772538539776654401d7a1293595405c90.tar.bz2
mate-power-manager-9a8cfd772538539776654401d7a1293595405c90.tar.xz
Add meson build support
Diffstat (limited to 'meson_post_install.sh')
-rwxr-xr-xmeson_post_install.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/meson_post_install.sh b/meson_post_install.sh
new file mode 100755
index 0000000..8895ff5
--- /dev/null
+++ b/meson_post_install.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+if [ -z $MESON_INSTALL_PREFIX ]; then
+ echo 'This is meant to be ran from Meson only!'
+ exit 1
+fi
+
+if [ -z $DESTDIR ]; then
+ echo 'Compiling GSchema'
+ glib-compile-schemas "$MESON_INSTALL_PREFIX/share/glib-2.0/schemas"
+ echo 'Updating icon cache'
+ gtk-update-icon-cache -qtf "$MESON_INSTALL_PREFIX/share/icons/hicolor"
+ gtk-update-icon-cache -qtf "$MESON_INSTALL_PREFIX/share/mate-power-manager/icons/hicolor"
+ echo 'Updating desktop database'
+ update-desktop-database -q "$MESON_INSTALL_PREFIX/share/applications"
+fi